Subject: Re: find.exe truncating search on <foo>/<foo>
From: [email-masked] ("Michael A. Chase")

24 Jun 1997 07:46:03 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: <[email-masked]>, <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1161
Original-Sender: [email-masked]

This might be deeper than just the find command.  When I tried to delete a
directory tree with rm -r, it aborted when it came across subdirectories
with the same name as one of their ancestors (e.g., perl5/lib/perl5).  I'm
using the b18 binaries I downloaded from Cygnus.

Mac :})   [email-masked]
-----BEGIN GEEK CODE BLOCK-----
Version: 3.1
GCS/CC/E/IT/O d s+:+ a+ C++$ ULUHSC*++$ P++$ L+(++) E- W++ N++ o? K-? w+ O
M- V- PS+@ PE Y+ PGP+ t+ 5++ X R tv b+++(++++) DI++(+++) D? G e++ h--- r+++
y+
------END GEEK CODE BLOCK------
----------
> From: Jon Witort <[email-masked]>
> To: [email-masked]
> Subject: find.exe truncating search on <foo>/<foo>
> Date: Friday, June 20, 1997 5:03 PM
> 
> I'm having some trouble with find.exe v4.1 that doesn't seem to have been
> mentioned in either the FAQ or the archive for this group. The problem is
> that find.exe is truncating its search whenever it finds a directory with
> the same name as its parent, like so:
> 
> 1> mkdir test\foo\foo
> 2> cd test
> 3> touch foo\foo\xyz
> 4> find
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".